/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.entity.Cbqydbm;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

/**
 * 抄表区域段编码
 *
 * @author wangjieliu
 * @date Sat May 29 00:00:00 CST 2021
 */
public interface CbqydbmMapper extends BaseMapper<Cbqydbm> {
    String getYxbzName(@Param("yxbz") String yxbz);
    String getQymcName(@Param("qybm") Long qybm);

    IPage<Map> allocationParagraph(Page page, @Param("qybm") String qybm, @Param("qydbm") String qydbm);

    List<Integer> getPeriod();

    Map getPlanIsCb(@Param("qyd") Long qyd);

    List<Map> getDownloadCb(@Param("qyd") Long qyd);

    IPage<Map> getQydCollect(Page page , @Param("inputcontent") String inputcontent);

    Long getMaxId();

    boolean saveCbqyList(@Param("list") List<Cbqydbm> cbqydbmList);
}
